Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class SlideAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.SlideAtom

    public final class SlideAtom

extends RecordAtom

A Slide Atom (type 1007). Holds information on the parent Slide, what Master Slide it uses, what Notes is attached to it, that sort of thing. It also has a SSlideLayoutAtom embeded in it, but without the Atom header

Author:
  Nick Burch

Nested Class Summary
`class` | `SlideAtom.SSlideLayoutAtom` Holds the geometry of the Slide, and the ID of the placeholders on the slide.

Field Summary
`static int` | `MASTER_SLIDE_ID`
`static int` | `USES_MASTER_SLIDE_ID`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` | `SlideAtom()` Create a new SlideAtom, to go with a new Slide
`protected` | `SlideAtom(byte[] source, int start, int len)` For the Slide Atom

Method Summary
`boolean` | `getFollowMasterBackground()`
`boolean` | `getFollowMasterObjects()`
`boolean` | `getFollowMasterScheme()`
`int` | `getMasterID()` Get the ID of the master slide used.
`int` | `getNotesID()` Get the ID of the notes for this slide.
`long` | `getRecordType()` We are of type 1007
`SlideAtom.SSlideLayoutAtom` | `getSSlideLayoutAtom()` Get the embeded SSlideLayoutAtom
`void` | `setFollowMasterBackground(boolean flag)`
`void` | `setFollowMasterObjects(boolean flag)`
`void` | `setFollowMasterScheme(boolean flag)`
`void` | `setMasterID(int id)` Change slide master.
`void` | `setNotesID(int id)` Change the ID of the notes for this slide.
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MASTER_SLIDE_ID

    public static final int MASTER_SLIDE_ID

See Also:
  Constant Field Values

### USES_MASTER_SLIDE_ID

    public static final int USES_MASTER_SLIDE_ID

See Also:
  Constant Field Values

Constructor Detail

### SlideAtom

    protected SlideAtom(byte[] source,
                        int start,
                        int len)

  For the Slide Atom

### SlideAtom

    public SlideAtom()

  Create a new SlideAtom, to go with a new Slide

Method Detail

### getMasterID

    public int getMasterID()

  Get the ID of the master slide used. 0 if this is a master slide, otherwise -2147483648

### setMasterID

    public void setMasterID(int id)

  Change slide master.

### getNotesID

    public int getNotesID()

  Get the ID of the notes for this slide. 0 if doesn't have one

### getSSlideLayoutAtom

    public SlideAtom.SSlideLayoutAtom getSSlideLayoutAtom()

  Get the embeded SSlideLayoutAtom

### setNotesID

    public void setNotesID(int id)

  Change the ID of the notes for this slide. 0 if it no longer has one

### getFollowMasterObjects

    public boolean getFollowMasterObjects()

### getFollowMasterScheme

    public boolean getFollowMasterScheme()

### getFollowMasterBackground

    public boolean getFollowMasterBackground()

### setFollowMasterObjects

    public void setFollowMasterObjects(boolean flag)

### setFollowMasterScheme

    public void setFollowMasterScheme(boolean flag)

### setFollowMasterBackground

    public void setFollowMasterBackground(boolean flag)

### getRecordType

    public long getRecordType()

  We are of type 1007

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.